﻿@using Jumbula.Common.Helper
@model SportsClub.Models.Register.BeforeAfterCareRegisterModel

@{
    Layout = null;
    var showDropInPunchcardTuition = Request.QueryString["mode"] != null ? Request.QueryString["mode"].ToString() : string.Empty;
}

@if (showDropInPunchcardTuition == "NoDropInPunchcard" || showDropInPunchcardTuition == "")
{
    foreach (var price in Model.Prices)
    {
        @Html.Partial("_SubscriptionPrices", price)
    }
}


@{
    var counter = 0;
}

@Html.HiddenFor(model => model.EnableDropIn)

<div class="schedule full-width">

    <div class="row-fluid content " style="display: block;">

        <div class="col-sm-7 tuitions no-charge">
            @if ((Model.EnableDropIn || Model.EnablePunchCard) && (showDropInPunchcardTuition == "DropInPunchcard" || showDropInPunchcardTuition == ""))
            {
                <hr />
                <h5>
                    Drop in / Punchcard
                </h5>
            }
            @if (Model.EnableDropIn && Model.DropInSessionPrice >= 0 && Model.DropInLabel != null && Model.ProgramType == ProgramTypeCategory.BeforeAfterCare && (showDropInPunchcardTuition == "DropInPunchcard" || showDropInPunchcardTuition == ""))
            {
                <div class="tuition current">

                    <label>
                        <span class="check tuition-select jbi-check-box">
                            <input class="drop-in" id="dropInOption" type="checkbox" name="chargeEntryFee" value="" data-chargeid="" data-parent-charge="-10" data-scheduleid="@Model.ScheduleId" data-schedule-title="" data-schedule-date="" data-category="EntryFee" data-subcategory="charge" data-amount="0" data-mandatory="False" data-name="">
                        </span>
                        <span class="title ellipsis tuition-label" title="@Model.DropInLabel">@Model.DropInLabel</span>

                        <input data-val="true" data-val-number="The field ChangedPrice must be a number." id="changedTutionPrice-301515" name="ProgramSchedules[0].Charges[1].ChangedPrice" type="hidden" value="301515">


                        <input id="ischangedTutionPrice-331522" name="ProgramSchedules[0].Charges[1].IsPriceChanged" type="hidden" value="False">

                        @if (!Model.EnablePriceHidden)
                        {
                            <span class="price" id="lbl_price_301515" style="padding-left:20px">
                                <span class="amount">
                                    @Html.FormatCurrencyWithPenny(Model.DropInSessionPrice)
                                </span>
                            </span>
                        }
                    </label>

                    <div class="clearfix"></div>
                </div>
            }
            @if (Model.EnablePunchCard && Model.ProgramType == ProgramTypeCategory.BeforeAfterCare && (showDropInPunchcardTuition == "DropInPunchcard" || showDropInPunchcardTuition == ""))
            {
                <div class="tuition current">

                    <label>
                        <span class="check tuition-select jbi-check-box">
                            <input class="punch-card entryFeeCheckBox" id="punchCardOption" type="checkbox" name="chargeEntryFee" value="" data-chargeid="100" data-parent-charge="100" data-scheduleid="@Model.ScheduleId" data-category="EntryFee" data-subcategory="charge" data-amount="@Model.PunchCardPrice" data-mandatory="False" data-name="@Model.PunchCardLabel" data-schedule-title="" data-schedule-date="">
                        </span>
                        <span class="title ellipsis tuition-label" title="@Model.PunchCardLabel">@Model.PunchCardLabel</span>

                        <input data-val="true" data-val-number="The field ChangedPrice must be a number." id="" name="ProgramSchedules[0].Charges[1].ChangedPrice" type="hidden" value="301515">


                        <input id="" name="ProgramSchedules[0].Charges[1].IsPriceChanged" type="hidden" value="False">
                        @if (!Model.EnablePriceHidden)
                        {
                            <span class="price" id="lbl_price_301515" style="padding-left:20px">
                                <span class="amount">
                                    @Html.FormatCurrencyWithPenny(Model.PunchCardPrice)
                                </span>
                            </span>
                        }
                    </label>

                    <div class="clearfix"></div>
                </div>
            }
        </div>
    </div>

    <div class="clearfix"></div>
</div>
@if (showDropInPunchcardTuition == "NoDropInPunchcard" || showDropInPunchcardTuition == "")
{
    <div id="classDays" class="tourny-reg-section">
        <h5>
            Select class days
        </h5>

        <div class="checkbox">

            @for (int i = 0; i < Model.Days.Count(); i++)
            {
                var day = Model.Days[i].Day;
                <label>
                    @Html.CheckBoxFor(m => m.Days[i].IsChecked, new { @id = string.Format("day_{0}", counter), @class = "day-item", data_day = Model.Days[i].Day, @onclick = "checkDay(" + i + ")" })
                    <span class="check"></span>
                    @Html.LabelFor(m => m.Days[i], Model.Days[i].Title, new { @for = string.Format("day_{0}", counter) })
                </label>

                <div class="clearfix"></div>
                counter++;
            }

        </div>

        <label class="margin-left20 req-star" for="DesiredStartDate">Desired start date</label>
        <span class="k-widget k-datepicker k-header form-control txt-group-filter">
            <span class="k-picker-wrap k-state-default">
                <input class="form-control txt-group-filter k-input" data-val="true" data-val-date="The field StartDate must be a date." id="DesiredStartDate2" name="DesiredStartDate2" type="text" data-role="datepicker" role="combobox" aria-expanded="false" aria-owns="StartDate_dateview" aria-disabled="false" aria-readonly="false" aria-activedescendant="48005fc6-dd17-47a4-a59a-1440708ca4d1_cell_selected">
                <span unselectable="on" class="k-select" role="button" aria-controls="StartDate_dateview">
                    <span unselectable="on" class="k-icon k-i-calendar">select</span>
                </span>
            </span>
        </span>
    </div>
}


<div id="calendar" style="display: none;" class="tourny-reg-section">



</div>


<div class="clearfix"></div>


<script type="text/javascript">
    var days = [];

    $(document).ready(function () {
        var subscriptionMode = 'Normal';

        $("#DesiredStartDate2").kendoDatePicker({ "format": "M/d/yyyy", "min": new Date(1900, 0, 1, 0, 0, 0, 0), "max": new Date(2099, 11, 31, 0, 0, 0, 0) });

        var selectedChargeId = $(this).find('input[name=chargeEntryFee]').val();

        $("#DesiredStartDate2").change(function () {

            var desiredStartDate = $("#DesiredStartDate2").val();

            $("#desiredStartDate").val(desiredStartDate);

            console.log(days.length);
            if (selectedChargeId > 0 && days.length > 0) {
                updateScheduleDate(desiredStartDate, days);
            }
        })

    });


    function checkDay(index) {
        console.log(index)
        var model = @Html.Raw(Json.Encode(Model));
        var temp = model.Days[index];
        var isExist = false;

        for (var i = 0; i < days.length; i++) {

            if (days[i].Day == temp.Day) {
                days.splice(i, 1);
                isExist = true;
            }
        }
        if (!isExist) {
            days.push(temp);
        }

        var selectedChargeId = 0;
        $('.tuition-select').each(function (e) {

            if ($(this).hasClass('jbi-checked-box')) {
                selectedChargeId = $(this).find('input[name=chargeEntryFee]').val();
            }
        })

        var desiredStartDate = $("#DesiredStartDate2").val();

        if (desiredStartDate.length > 0 && selectedChargeId > 0) {
            updateScheduleDate(desiredStartDate, days);
        }
    }

    function clearDays() {
        days = [];
    }

    function checkDayTuition(index) {
        var model = @Html.Raw(Json.Encode(Model));
        var temp = model.Days[index];
        var isExist = false;

        for (var i = 0; i < days.length; i++) {

            if (days[i].Day == temp.Day) {
                isExist = true;
            }
        }
        if (!isExist) {
            days.push(temp);
        }

        var selectedChargeId = 0;
        $('.tuition-select').each(function (e) {

            if ($(this).hasClass('jbi-checked-box')) {
                selectedChargeId = $(this).find('input[name=chargeEntryFee]').val();
            }
        })

        var desiredStartDate = $("#DesiredStartDate2").val();

        if (desiredStartDate.length > 0 && selectedChargeId > 0) {
            updateScheduleDate(desiredStartDate, days);
        }
    }

    var updateScheduleDate = function (desiredStartDate, selectedDays) {
        var titleDays = [];

        for (var i = 0; i < selectedDays.length; i++) {

            titleDays.push(selectedDays[i].Title)
        }
        var selectedChargeId = 0;
        $('.tuition-select').each(function (e) {

            if ($(this).hasClass('jbi-checked-box')) {
                selectedChargeId = $(this).find('input[name=chargeEntryFee]').val();
            }
        })

        $.ajax({
            method: "GET",
            dataType: 'json',
            url: "/Register/GetScheduleFromDesiredDate",
            data: {
                desiredStartDate: desiredStartDate,
                programId: $('#ProgramId').val(),
                selectedChargeId: selectedChargeId,
                days: JSON.stringify(titleDays)
            },
            success: function (data) {
                if (data.HasError) {
                    toastr.error(data.ErrorMessage);
                }
                else {
                    $('.tuition-select').each(function (e) {
                        selectedChargeId = $(this).find('input[name=chargeEntryFee]').attr('data-schedule-title', data.ScheduleDate);
                    })

                    $('#cheoutboxContainer').find('.section-title').html(data.ScheduleDate);
                    $('#cheoutboxContainer').find('.price').html(symbol + data.ScheduleAmount.toFixed(2).replace(/[^0-9\.]/g, ""));
                    $('#cheoutboxContainer').find('#totalPrice').html(symbol + data.ScheduleAmount.toFixed(2).replace(/[^0-9\.]/g, ""));

                    for (var i = 0; i < charges.length; i++) {
                        charges[i].Amount = data.ScheduleAmount;
                    }
                    var jsonCharges = JSON.stringify(charges);

                                $("#ChargeDiscountsText").val(jsonCharges);

                                $("#scheduleDate").val(data.ScheduleDate);
                            }
                        },
                        error: function () {
                        },
                        complete: function () {
                        }
                    })
                }


    $('.drop-in').click(function () {

        if ($(this).is(':checked')) {

            var scheduleId = $(this).data('scheduleid');

            $.ajax({
                method: "POST",
                dataType: 'html',
                url: "/Register/Calendar",
                data: {
                    scheduleId: scheduleId,
                    programId: $('#ProgramId').val(),
                },
                beforeSend: function () {
                    blockUI();
                },
                success: function (data) {
                    $('#calendar').html(data);
                },
                error: function () {
                    unblockUI();
                },
                complete: function () {
                    unblockUI();
                }
            })
        }
    })
</script>
